Bug 479723 - Review Request: cgit - A fast webinterface for git
Review Request: cgit - A fast webinterface for git
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: seth vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-12 13:01 EST by Todd Zullinger
Modified: 2014-01-21 01:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.8.2-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:41:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
svidal: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Todd Zullinger 2009-01-12 13:01:40 EST
Spec URL: http://tmz.fedorapeople.org/reviews/pending/cgit/cgit.spec
SRPM URL: http://tmz.fedorapeople.org/reviews/pending/cgit/cgit-0.8.1-1.fc10.src.rpm
Description: This is an attempt to create a fast web interface for the git scm,
using a builtin cache to decrease server io-pressure.

In addition to the spec and srpm above, the output of a mock build for F-10 i386 is at: http://tmz.fedorapeople.org/reviews/pending/cgit

Potential concerns are that cgit currently requires some git sources to build.  Eventually, this will be fixed when libgit2 is ready.  Near term, Lars is working upstream to include the needed git files in the cgit tarballs.

Another minor issue is package cleanup.  The package owns the cache dir, /var/cache/cgit, but it won't know about the files created within that dir.  Would a %preun script to delete these files be appropriate?
Comment 1 seth vidal 2009-01-12 14:11:42 EST
rpmlint checks out
package passes all MUST  requirements from review checks

Does it REALLY require httpd - or does it only require 'webserver'?
Comment 2 Todd Zullinger 2009-01-12 14:16:18 EST
httpd is required for ownership of /etc/httpd/conf.d.  If that can be made more generic, I'd be all for it.
Comment 3 Jeremy Katz 2009-01-12 14:50:54 EST
The other comment I have from a quick look is that the %define at the top for the make really probably should just be explicitly in the %build section.
Comment 4 seth vidal 2009-01-12 14:56:25 EST
From Tibbs: 

The package shouldn't own this dir:
%define scriptdir   %{_localstatedir}/www/cgi-bin

End from Tibbs.

From Me:
that is provided by httpd which the pkg already deps on, so it's okay to remove that dir ownership.

If you remove the ownership of that dir then this pkg is approved.
Comment 5 Todd Zullinger 2009-01-12 15:01:13 EST
(In reply to comment #3)
> The other comment I have from a quick look is that the %define at the top for
> the make really probably should just be explicitly in the %build section.

True, it could be.  I had it there to start, but it causes a spurious warning
from rpmlint, which I figured could be easily avoided by defining it outside of
%build and %prep.  Does that cause any harm?  And is it uglier there than the
rpmlint warning might be?
Comment 6 Todd Zullinger 2009-01-12 15:07:33 EST
Thanks for the quick review Seth (and the helpful eyes from Tibbs).  I'll fix that ownership up thusly:

-%{scriptdir}
+%{scriptdir}/*

Any concerns about getting the SELinux contexts setup properly before importing the package?  I could add some policy to the package, but I couldn't find any guidelines on whether that was preferable to getting the changes into selinux-policy directly.  All I found was a draft, which might be old and outdated:

http://fedoraproject.org/wiki/PackagingDrafts/SELinux
Comment 7 Todd Zullinger 2009-01-12 22:02:52 EST
New Package CVS Request
=======================
Package Name: cgit
Short Description: A fast webinterface for git
Owners: tmz
Branches: F-10 F-9 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-01-13 15:30:47 EST
cvs done.
Comment 9 Fedora Update System 2009-02-07 17:19:38 EST
cgit-0.8.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update cgit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1447
Comment 10 Fedora Update System 2009-02-07 17:22:34 EST
cgit-0.8.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cgit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1473
Comment 11 Fedora Update System 2009-02-24 15:41:10 EST
cgit-0.8.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-02-24 15:42:19 EST
cgit-0.8.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.